> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get an applicant by ID

GET https://api.propexo.com/v1/applicants/{id}

Get an applicant by ID

Reference: https://docs.propexo.com/api-reference/propertyware-rest/applicants/get-an-applicant-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Applicant, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Applicant

- `id` (string, required) — The Propexo unique identifier for the applicant
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_lead_id` (any, required) — The external ID of the lead from the integration vendorThis field will always be null for PROPERTYWARE\_REST
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the applicant is interested in | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `address_1_alternate` (any, required) — The first alternate address line associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `address_1` (any, required) — The first address line associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `address_2_alternate` (any, required) — The second alternate address line associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `address_2` (any, required) — The second address line associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `applications` (list of ApplicantApplicationsItems, required) — Applications that the applicant has submitted
- `city_alternate` (any, required) — The alternate city associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `city` (any, required) — The city associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `country_alternate` (any, required) — The alternate country associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `country` (any, required) — The country associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `custom_data` (ApplicantCustomData, required, nullable)
- `date_of_birth` (any, required) — The date of birth associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `email_1` (string, required, nullable) — The primary email address associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `email_2` (any, required) — The secondary email address associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `first_name` (string, required, nullable) — The first name associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `last_name` (string, required, nullable) — The last name associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `middle_name` (any, required) — The middle name associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `notes` (string, required, nullable) — Notes associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `phone_1_type` (enum, required) — Type of the primary phone number | Method | Interface | |---|---| | /v1/prospects | Prospects |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Method | Interface | |---|---| | /v1/prospects | Prospects |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `state_alternate` (any, required) — The alternate state associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `state` (any, required) — The state associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `type_normalized` (string, required, nullable) — The normalized type associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `type_raw` (string, required, nullable) — The raw type associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `zip_alternate` (any, required) — The alternate zip code associated with the applicantThis field will always be null for PROPERTYWARE\_REST
- `zip` (any, required) — The zip code associated with the applicantHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.This field will always be null for PROPERTYWARE\_REST
- `pets` (list of ApplicantPetsItems, required) — This field is not currently hydrated for PROPERTYWARE_REST
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `PROPERTYWARE_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the applicant is interested in | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `screenings` (list of ApplicantScreeningsItems, required) — This field is not currently hydrated for PROPERTYWARE_REST
- `x_unit_id` (string, required, nullable, deprecated) — DEPRECATED: Use x_unit_id_preferred instead | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `x_lease_id` (any, required, deprecated) — DEPRECATED: Not in use.This field will always be null for PROPERTYWARE\_REST
- `self_reported_income` (list of IncomeSource, optional) — Self reported income sources for the applicant

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ApplicantApplicationsItems

- `applicant_id` (string, required) — | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `application_id` (string, required) — | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `status_raw` (string, optional, nullable) — The raw status associated with the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `status_normalized` (ApplicantApplicationsItemsStatusNormalized, optional, nullable) — The normalized status associated with the applicant. Confirm these derived values before using them in production. | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `custom_data` (ApplicantApplicationsItemsCustomData, optional, nullable)
- `status` (string, optional, nullable, deprecated) — DEPRECATED. Use status_raw or status_normalized | Method | Interface | |---|---| | /v1/prospects | Prospects |

### ApplicantCustomData

### ApplicantPetsItems

- `id` (string, required) — The Propexo unique identifier for the applicant pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `breed` (string, required, nullable) — The breed of the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `color` (string, required, nullable) — The color of the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `gender_raw` (string, required, nullable) — The raw value for the gender of the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_declawed` (boolean, required, nullable) — Whether the applicant pet is declawedThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_fixed` (boolean, required, nullable) — Whether the applicant pet is fixedThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_service_animal` (boolean, required, nullable) — Whether the applicant pet is a service animalThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_trained` (boolean, required, nullable) — Whether the applicant pet is trainedThis field is not currently hydrated for PROPERTYWARE\_REST
- `is_vaccinated` (boolean, required, nullable) — Whether the applicant pet is vaccinatedThis field is not currently hydrated for PROPERTYWARE\_REST
- `name` (string, required, nullable) — The name associated with the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `notes` (string, required, nullable) — Notes associated with the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `type` (string, required, nullable) — The type associated with the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the applicant petThis field is not currently hydrated for PROPERTYWARE\_REST
- `custom_data` (ApplicantPetsItemsCustomData, required, nullable)

### ApplicantScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for PROPERTYWARE\_REST
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for PROPERTYWARE\_REST

### IncomeSource

- `amount_in_cents` (double, required, nullable) — The total income of the applicant, in centsThis field is not currently hydrated for PROPERTYWARE\_REST
- `amount_raw` (string, required, nullable) — The total income amount of the applicantThis field is not currently hydrated for PROPERTYWARE\_REST
- `type_normalized` (string, required, nullable) — The type of income of the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |
- `type_raw` (string, required, nullable) — The type of income of the applicant | Method | Interface | |---|---| | /v1/prospects | Prospects |

### ApplicantApplicationsItemsStatusNormalized

The normalized status associated with the applicant. Confirm these derived values before using them in production. | Method | Interface | |---|---| | /v1/prospects | Prospects |

### ApplicantApplicationsItemsCustomData

### ApplicantPetsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "12345622",
    "x_property_id": "12345678",
    "x_lead_id": null,
    "x_unit_id_preferred": [
      "456",
      "123"
    ],
    "address_1_alternate": null,
    "address_1": null,
    "address_2_alternate": null,
    "address_2": null,
    "applications": [
      {
        "applicant_id": "cmdfe7xck000107l8fdsqhe1t:12353258:12345622",
        "application_id": "cmdfe7xck000107l8fdsqhe1t:1234412:12345678",
        "status_raw": "Open",
        "status_normalized": "PENDING",
        "custom_data": {},
        "status": "Open"
      }
    ],
    "city_alternate": null,
    "city": null,
    "country_alternate": null,
    "country": null,
    "custom_data": {},
    "date_of_birth": null,
    "email_1": "john.doe@example.com",
    "email_2": null,
    "first_name": "John",
    "last_name": "Doe",
    "middle_name": null,
    "notes": "Great tenant.",
    "phone_1_type": "MOBILE",
    "phone_1": "555-123-4567",
    "phone_2_type": "HOME",
    "phone_2": "555-987-6543",
    "state_alternate": null,
    "state": null,
    "type_normalized": "SECONDARY",
    "type_raw": "Co-Applicant",
    "zip_alternate": null,
    "zip": null,
    "pets": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "pet-00123",
        "age_in_years": 3.5,
        "breed": "Golden Retriever",
        "color": "Golden",
        "gender_raw": "Male",
        "is_declawed": false,
        "is_fixed": true,
        "is_service_animal": false,
        "is_trained": true,
        "is_vaccinated": true,
        "name": "Buddy",
        "notes": "Friendly and well-behaved.",
        "type": "Dog",
        "weight_in_pounds": 65,
        "custom_data": {}
      }
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "PROPERTYWARE_REST",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "unit_id_preferred": [
      "cmdfe7xck000107l8fdsqhe1t:123:456",
      "cmdfe7xck000107l8fdsqhe1t:678:123"
    ],
    "screenings": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "screening-7890",
        "status_raw": "Clear",
        "screening_date": "2024-03-20T09:00:00Z"
      }
    ],
    "x_unit_id": "unit-987654",
    "x_lease_id": null,
    "self_reported_income": [
      {
        "amount_in_cents": 325000,
        "amount_raw": "$3,250.00",
        "type_normalized": "SECONDARY",
        "type_raw": "Co-Applicant"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/applicants/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/applicants/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```